Debian Bug report logs - #635685
general: gcc -m32 has no access to system-specific includes in multiarch world

version graph

Package: libc6-dev; Maintainer for libc6-dev is GNU Libc Maintainers <debian-glibc@lists.debian.org>; Source for libc6-dev is src:eglibc.

Reported by: revol@free.fr

Date: Thu, 28 Jul 2011 09:03:01 UTC

Severity: serious

Tags: confirmed

Found in version eglibc/2.13-11

Fixed in version eglibc/2.13-14

Done: Aurelien Jarno <aurel32@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#635685; Package general. (Thu, 28 Jul 2011 09:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tim Northover <t.p.northover@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org. (Thu, 28 Jul 2011 09:03:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tim Northover <t.p.northover@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: general: gcc -m32 has no access to system-specific includes in multiarch world
Date: Thu, 28 Jul 2011 09:58:26 +0100
Package: general
Severity: normal

It looks like "gcc -m32" has been partially broken by the recent
hiving off of various headers to /usr/include/x86_64-linux-gnu.

In particular a program consisting of the single line "#include
<features.h>" fails with the error:

In file included from tmp.c:1:0:
/usr/include/features.h:356:25: fatal error: sys/cdefs.h: No such file
or directory
compilation terminated.

I suspect multiple packages are involved: "cpp -m32 -v" reports not
searching /usr/include/i386-linux-gnu (or equivalent) so gcc packages
are probably iffy; but even if it did there's nothing there to find so
either the gcc-*-multilib or libc6-dev (or possibly even an entirely
new gcc-*-multiheader one) will need updating.


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (900, 'unstable'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.39-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash




Information forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org:
Bug#635685; Package general. (Thu, 28 Jul 2011 09:42:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to debian-devel@lists.debian.org. (Thu, 28 Jul 2011 09:42:22 GMT) Full text and rfc822 format available.

Message #10 received at 635685@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 635685@bugs.debian.org, debian-glibc@lists.debian.org
Subject: Re: Bug#635685: general: gcc -m32 has no access to system-specific includes in multiarch world
Date: Thu, 28 Jul 2011 11:39:50 +0200
reassign 635685 libc6-dev
severity 635685 serious
thanks

On 2011-07-28 10:58 +0200, Tim Northover wrote:

> Package: general
> Severity: normal
>
> It looks like "gcc -m32" has been partially broken by the recent
> hiving off of various headers to /usr/include/x86_64-linux-gnu.
>
> In particular a program consisting of the single line "#include
> <features.h>" fails with the error:
>
> In file included from tmp.c:1:0:
> /usr/include/features.h:356:25: fatal error: sys/cdefs.h: No such file
> or directory
> compilation terminated.
>
> I suspect multiple packages are involved: "cpp -m32 -v" reports not
> searching /usr/include/i386-linux-gnu (or equivalent) so gcc packages
> are probably iffy; but even if it did there's nothing there to find so
> either the gcc-*-multilib or libc6-dev (or possibly even an entirely
> new gcc-*-multiheader one) will need updating.

Confirmed here on i386, ncurses biarch build is broken:

,----
| $ LANG=C debian/rules build-64
| [...]
| make[2]: Entering directory `/usr/local/src/deb-src/ncurses/ncurses/obj-64/ncurses'
| gcc -o make_hash -DHAVE_CONFIG_H -I../ncurses -I/usr/local/src/deb-src/ncurses/ncurses/ncurses -I/usr/local/src/deb-src/ncurses/ncurses/ncurses/../include -I../include -DUSE_BUILD_CC   /usr/local/src/deb-src/ncurses/ncurses/ncurses/tinfo/make_hash.c  
| In file included from /usr/include/stdlib.h:320:0,
|                  from /usr/local/src/deb-src/ncurses/ncurses/ncurses/build.priv.h:61,
|                  from /usr/local/src/deb-src/ncurses/ncurses/ncurses/tinfo/make_hash.c:40:
| /usr/include/i386-linux-gnu/sys/types.h:99:17: error: two or more data types in declaration specifiers
| make[2]: *** [make_hash] Error 1
| make[2]: Leaving directory `/usr/local/src/deb-src/ncurses/ncurses/obj-64/ncurses'
| make[1]: *** [all] Error 2
| make[1]: Leaving directory `/usr/local/src/deb-src/ncurses/ncurses/obj-64'
| make: *** [build-64] Error 2
`----

It seems libc6-dev multiarch support needs to go back to the drawing
board again.

Cheers,
       Sven




Bug reassigned from package 'general' to 'libc6-dev'. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Thu, 28 Jul 2011 09:42:47 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'normal' Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Thu, 28 Jul 2011 09:42:49 GMT) Full text and rfc822 format available.

Bug Marked as found in versions eglibc/2.13-11. Request was from Sven Joachim <svenjoac@gmx.de> to control@bugs.debian.org. (Thu, 28 Jul 2011 09:51:43 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#635685; Package libc6-dev. (Thu, 28 Jul 2011 21:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Thu, 28 Jul 2011 21:57:03 GMT) Full text and rfc822 format available.

Message #21 received at 635685@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Sven Joachim <svenjoac@gmx.de>, 635685@bugs.debian.org
Cc: debian-glibc@lists.debian.org, Tim Northover <t.p.northover@gmail.com>
Subject: Re: Bug#635685: general: gcc -m32 has no access to system-specific includes in multiarch world
Date: Thu, 28 Jul 2011 14:53:36 -0700
[Message part 1 (text/plain, inline)]
On Thu, Jul 28, 2011 at 11:39:50AM +0200, Sven Joachim wrote:
> On 2011-07-28 10:58 +0200, Tim Northover wrote:

> > Package: general
> > Severity: normal
> >
> > It looks like "gcc -m32" has been partially broken by the recent
> > hiving off of various headers to /usr/include/x86_64-linux-gnu.
> >
> > In particular a program consisting of the single line "#include
> > <features.h>" fails with the error:
> >
> > In file included from tmp.c:1:0:
> > /usr/include/features.h:356:25: fatal error: sys/cdefs.h: No such file
> > or directory
> > compilation terminated.
> >
> > I suspect multiple packages are involved: "cpp -m32 -v" reports not
> > searching /usr/include/i386-linux-gnu (or equivalent) so gcc packages
> > are probably iffy; but even if it did there's nothing there to find so
> > either the gcc-*-multilib or libc6-dev (or possibly even an entirely
> > new gcc-*-multiheader one) will need updating.

> Confirmed here on i386, ncurses biarch build is broken:

This is not "confirming" the bug, the behavior you quote below is entirely
the opposite of what the submitter was reporting.

Tim, what version of libc6-dev-i386 do you have installed?  I cannot
reproduce this problem with 2.13-11.

> ,----
> | $ LANG=C debian/rules build-64
> | [...]
> | make[2]: Entering directory `/usr/local/src/deb-src/ncurses/ncurses/obj-64/ncurses'
> | gcc -o make_hash -DHAVE_CONFIG_H -I../ncurses -I/usr/local/src/deb-src/ncurses/ncurses/ncurses -I/usr/local/src/deb-src/ncurses/ncurses/ncurses/../include -I../include -DUSE_BUILD_CC   /usr/local/src/deb-src/ncurses/ncurses/ncurses/tinfo/make_hash.c  
> | In file included from /usr/include/stdlib.h:320:0,
> |                  from /usr/local/src/deb-src/ncurses/ncurses/ncurses/build.priv.h:61,
> |                  from /usr/local/src/deb-src/ncurses/ncurses/ncurses/tinfo/make_hash.c:40:
> | /usr/include/i386-linux-gnu/sys/types.h:99:17: error: two or more data types in declaration specifiers
> | make[2]: *** [make_hash] Error 1
> | make[2]: Leaving directory `/usr/local/src/deb-src/ncurses/ncurses/obj-64/ncurses'
> | make[1]: *** [all] Error 2
> | make[1]: Leaving directory `/usr/local/src/deb-src/ncurses/ncurses/obj-64'
> | make: *** [build-64] Error 2
> `----

> It seems libc6-dev multiarch support needs to go back to the drawing
> board again.

Sven, please file a separate bug report for this issue.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#635685; Package libc6-dev. (Fri, 29 Jul 2011 08:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Fri, 29 Jul 2011 08:00:06 GMT) Full text and rfc822 format available.

Message #26 received at 635685@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Steve Langasek <vorlon@debian.org>
Cc: 635685@bugs.debian.org, Tim Northover <t.p.northover@gmail.com>
Subject: Re: Bug#635685: general: gcc -m32 has no access to system-specific includes in multiarch world
Date: Fri, 29 Jul 2011 09:58:18 +0200
On 2011-07-28 23:53 +0200, Steve Langasek wrote:

> On Thu, Jul 28, 2011 at 11:39:50AM +0200, Sven Joachim wrote:
>> On 2011-07-28 10:58 +0200, Tim Northover wrote:
>
>> > Package: general
>> > Severity: normal
>> >
>> > It looks like "gcc -m32" has been partially broken by the recent
>> > hiving off of various headers to /usr/include/x86_64-linux-gnu.
>> >
>> > In particular a program consisting of the single line "#include
>> > <features.h>" fails with the error:
>> >
>> > In file included from tmp.c:1:0:
>> > /usr/include/features.h:356:25: fatal error: sys/cdefs.h: No such file
>> > or directory
>> > compilation terminated.
>> >
>> > I suspect multiple packages are involved: "cpp -m32 -v" reports not
>> > searching /usr/include/i386-linux-gnu (or equivalent) so gcc packages
>> > are probably iffy; but even if it did there's nothing there to find so
>> > either the gcc-*-multilib or libc6-dev (or possibly even an entirely
>> > new gcc-*-multiheader one) will need updating.
>
>> Confirmed here on i386, ncurses biarch build is broken:
>
> This is not "confirming" the bug, the behavior you quote below is entirely
> the opposite of what the submitter was reporting.

Sorry for not reading carefully enough.  But I can also reproduce Tim's
problem in an amd64 chroot with "apt-get -b source bzip2":

,----
| gcc -m32 -Wall -Winline -O2 -g -D_FILE_OFFSET_BITS=64  -D_REENTRANT -o blocksort.o -c blocksort.c
| In file included from /usr/include/stdlib.h:25:0,
|                  from bzlib_private.h:25,
|                  from blocksort.c:22:
| /usr/include/features.h:356:25: fatal error: sys/cdefs.h: No such file or directory
`----

> Tim, what version of libc6-dev-i386 do you have installed?  I cannot
> reproduce this problem with 2.13-11.

I have installed libc6-dev-i386 2.13-11 here as well.

>> ,----
>> | $ LANG=C debian/rules build-64
>> | [...]
>> | make[2]: Entering directory `/usr/local/src/deb-src/ncurses/ncurses/obj-64/ncurses'
>> | gcc -o make_hash -DHAVE_CONFIG_H -I../ncurses
>> | -I/usr/local/src/deb-src/ncurses/ncurses/ncurses
>> | -I/usr/local/src/deb-src/ncurses/ncurses/ncurses/../include
>> | -I../include -DUSE_BUILD_CC
>> | /usr/local/src/deb-src/ncurses/ncurses/ncurses/tinfo/make_hash.c
>> | In file included from /usr/include/stdlib.h:320:0,
>> |                  from /usr/local/src/deb-src/ncurses/ncurses/ncurses/build.priv.h:61,
>> |                  from /usr/local/src/deb-src/ncurses/ncurses/ncurses/tinfo/make_hash.c:40:
>> | /usr/include/i386-linux-gnu/sys/types.h:99:17: error: two or more data types in declaration specifiers
>> | make[2]: *** [make_hash] Error 1
>> | make[2]: Leaving directory `/usr/local/src/deb-src/ncurses/ncurses/obj-64/ncurses'
>> | make[1]: *** [all] Error 2
>> | make[1]: Leaving directory `/usr/local/src/deb-src/ncurses/ncurses/obj-64'
>> | make: *** [build-64] Error 2
>> `----
>
>> It seems libc6-dev multiarch support needs to go back to the drawing
>> board again.
>
> Sven, please file a separate bug report for this issue.

Will do so soon.

Cheers,
       Sven




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#635685; Package libc6-dev. (Fri, 29 Jul 2011 08:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Fri, 29 Jul 2011 08:21:08 GMT) Full text and rfc822 format available.

Message #31 received at 635685@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: 635685@bugs.debian.org
Cc: Steve Langasek <vorlon@debian.org>, Tim Northover <t.p.northover@gmail.com>
Subject: Re: Bug#635685: general: gcc -m32 has no access to system-specific includes in multiarch world
Date: Fri, 29 Jul 2011 10:19:57 +0200
On 2011-07-29 09:58 +0200, Sven Joachim wrote:

On 2011-07-29 09:58 +0200, Sven Joachim wrote:

> On 2011-07-28 23:53 +0200, Steve Langasek wrote:
>
>> On Thu, Jul 28, 2011 at 11:39:50AM +0200, Sven Joachim wrote:
>>> ,----
>>> | $ LANG=C debian/rules build-64
>>> | [...]
>>> | make[2]: Entering directory `/usr/local/src/deb-src/ncurses/ncurses/obj-64/ncurses'
>>> | gcc -o make_hash -DHAVE_CONFIG_H -I../ncurses
>>> | -I/usr/local/src/deb-src/ncurses/ncurses/ncurses
>>> | -I/usr/local/src/deb-src/ncurses/ncurses/ncurses/../include
>>> | -I../include -DUSE_BUILD_CC
>>> | /usr/local/src/deb-src/ncurses/ncurses/ncurses/tinfo/make_hash.c
>>> | In file included from /usr/include/stdlib.h:320:0,
>>> |                  from /usr/local/src/deb-src/ncurses/ncurses/ncurses/build.priv.h:61,
>>> |                  from /usr/local/src/deb-src/ncurses/ncurses/ncurses/tinfo/make_hash.c:40:
>>> | /usr/include/i386-linux-gnu/sys/types.h:99:17: error: two or more data types in declaration specifiers
>>> | make[2]: *** [make_hash] Error 1
>>> | make[2]: Leaving directory `/usr/local/src/deb-src/ncurses/ncurses/obj-64/ncurses'
>>> | make[1]: *** [all] Error 2
>>> | make[1]: Leaving directory `/usr/local/src/deb-src/ncurses/ncurses/obj-64'
>>> | make: *** [build-64] Error 2
>>> `----
>>
>>> It seems libc6-dev multiarch support needs to go back to the drawing
>>> board again.
>>
>> Sven, please file a separate bug report for this issue.
>
> Will do so soon.

On closer examination, this is probably such not a different issue after
all.  The output of `configure' is not quite what it should be:

,----
| checking for sys/types.h... no
| checking for sys/stat.h... no
| checking for stdlib.h... no
| checking for string.h... no
| checking for memory.h... no
| checking for strings.h... no
| checking for inttypes.h... no
| checking for stdint.h... no
| checking for unistd.h... no
`----

In config.log I find 106 occurrences of

/usr/include/gnu/stubs.h:9:27: fatal error: gnu/stubs-64.h: No such file or directory

All are similar to this one:

configure:7051: gcc -m64 -c -g -O2  -D_GNU_SOURCE conftest.c >&5
In file included from /usr/include/features.h:388:0,
                 from /usr/include/sys/types.h:26,
                 from configure:7037:
/usr/include/gnu/stubs.h:9:27: fatal error: gnu/stubs-64.h: No such file or directory

Cheers,
       Sven




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#635685; Package libc6-dev. (Fri, 29 Jul 2011 10:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Fri, 29 Jul 2011 10:33:12 GMT) Full text and rfc822 format available.

Message #36 received at 635685@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Sven Joachim <svenjoac@gmx.de>
Cc: 635685@bugs.debian.org, Tim Northover <t.p.northover@gmail.com>
Subject: Re: Bug#635685: general: gcc -m32 has no access to system-specific includes in multiarch world
Date: Fri, 29 Jul 2011 03:27:59 -0700
[Message part 1 (text/plain, inline)]
On Fri, Jul 29, 2011 at 09:58:18AM +0200, Sven Joachim wrote:
> > On Thu, Jul 28, 2011 at 11:39:50AM +0200, Sven Joachim wrote:

> Sorry for not reading carefully enough.  But I can also reproduce Tim's
> problem in an amd64 chroot with "apt-get -b source bzip2":

> ,----
> | gcc -m32 -Wall -Winline -O2 -g -D_FILE_OFFSET_BITS=64  -D_REENTRANT -o blocksort.o -c blocksort.c
> | In file included from /usr/include/stdlib.h:25:0,
> |                  from bzlib_private.h:25,
> |                  from blocksort.c:22:
> | /usr/include/features.h:356:25: fatal error: sys/cdefs.h: No such file or directory
> `----

Do you happen to have any of the following packages installed in this
chroot?
  libacl1-dev
  libapparmor-dev
  libasound2-dev
  libcap-dev
  libsbuf-dev
  systemtap-sdt-dev

I see, much to my surprise, that libc6-dev is not the only package shipping
files in this directory; so if you have one of these packages installed, the
/usr/include/sys directory will fail to be replaced by a symlink as
intended.

So that's definitely a bug and needs to be fixed.  I'm not sure if it's the
bug that Tim and you are seeing?

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Added tag(s) confirmed. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. (Fri, 29 Jul 2011 10:33:50 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#635685; Package libc6-dev. (Fri, 29 Jul 2011 11:45:22 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Fri, 29 Jul 2011 11:45:25 GMT) Full text and rfc822 format available.

Message #43 received at 635685@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Steve Langasek <vorlon@debian.org>
Cc: 635685@bugs.debian.org, Tim Northover <t.p.northover@gmail.com>
Subject: Re: Bug#635685: general: gcc -m32 has no access to system-specific includes in multiarch world
Date: Fri, 29 Jul 2011 13:44:06 +0200
On 2011-07-29 12:27 +0200, Steve Langasek wrote:

> Do you happen to have any of the following packages installed in this
> chroot?
>   libacl1-dev
>   libapparmor-dev
>   libasound2-dev
>   libcap-dev
>   libsbuf-dev
>   systemtap-sdt-dev

No, but libc6-dev-i386 had been installed before, shipping a
/usr/include/sys directory.

> I see, much to my surprise, that libc6-dev is not the only package shipping
> files in this directory; so if you have one of these packages installed, the
> /usr/include/sys directory will fail to be replaced by a symlink as
> intended.

That intention needs to be expressed by actually doing the conversion in
the libc6-dev-i386 postinst -- which does not currently exist.

> So that's definitely a bug and needs to be fixed.  I'm not sure if it's the
> bug that Tim and you are seeing?

It seems so.  After purging and reinstalling libc6-dev-i386,
"apt-get -b source bzip2" actually succeeds.

On i386 however, libc6-dev 2.13-11 still ships files under
/usr/include/{sys,gnu,bits}, so that ncurses is unbuildable even in a
clean chroot.

Cheers,
       Sven




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#635685; Package libc6-dev. (Fri, 29 Jul 2011 15:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Fri, 29 Jul 2011 15:54:03 GMT) Full text and rfc822 format available.

Message #48 received at 635685@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Sven Joachim <svenjoac@gmx.de>
Cc: 635685@bugs.debian.org, Tim Northover <t.p.northover@gmail.com>
Subject: Re: Bug#635685: general: gcc -m32 has no access to system-specific includes in multiarch world
Date: Fri, 29 Jul 2011 08:50:23 -0700
[Message part 1 (text/plain, inline)]
On Fri, Jul 29, 2011 at 01:44:06PM +0200, Sven Joachim wrote:

> > I see, much to my surprise, that libc6-dev is not the only package shipping
> > files in this directory; so if you have one of these packages installed, the
> > /usr/include/sys directory will fail to be replaced by a symlink as
> > intended.

> That intention needs to be expressed by actually doing the conversion in
> the libc6-dev-i386 postinst

No, it does not.  libc6-dev-i386 Conflicts: with the versions of libc6-dev
shipping /usr/include, which means they are removed from disk before
libc6-dev-i386 is unpacked.  The only reason I see why this would fail would
be because of one of the other -dev packages mentioned.

> > So that's definitely a bug and needs to be fixed.  I'm not sure if it's the
> > bug that Tim and you are seeing?

> It seems so.  After purging and reinstalling libc6-dev-i386,
> "apt-get -b source bzip2" actually succeeds.

> On i386 however, libc6-dev 2.13-11 still ships files under
> /usr/include/{sys,gnu,bits}, so that ncurses is unbuildable even in a
> clean chroot.

Yes, which is why I told you to file a separate bug report.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
Ubuntu Developer                                    http://www.debian.org/
slangasek@ubuntu.com                                     vorlon@debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#635685; Package libc6-dev. (Fri, 29 Jul 2011 16:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sven Joachim <svenjoac@gmx.de>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Fri, 29 Jul 2011 16:33:07 GMT) Full text and rfc822 format available.

Message #53 received at 635685@bugs.debian.org (full text, mbox):

From: Sven Joachim <svenjoac@gmx.de>
To: Steve Langasek <vorlon@debian.org>
Cc: 635685@bugs.debian.org, Tim Northover <t.p.northover@gmail.com>
Subject: Re: Bug#635685: general: gcc -m32 has no access to system-specific includes in multiarch world
Date: Fri, 29 Jul 2011 18:31:45 +0200
On 2011-07-29 17:50 +0200, Steve Langasek wrote:

> On Fri, Jul 29, 2011 at 01:44:06PM +0200, Sven Joachim wrote:
>
>> > I see, much to my surprise, that libc6-dev is not the only package shipping
>> > files in this directory; so if you have one of these packages installed, the
>> > /usr/include/sys directory will fail to be replaced by a symlink as
>> > intended.
>
>> That intention needs to be expressed by actually doing the conversion in
>> the libc6-dev-i386 postinst
>
> No, it does not.  libc6-dev-i386 Conflicts: with the versions of libc6-dev
> shipping /usr/include, which means they are removed from disk before
> libc6-dev-i386 is unpacked.

They are not if libc6-dev-i386 was already installed, because
libc6-dev-i386 itself contained files under /usr/include/{sys,gnu} in
versions up to 2.13-10.

> The only reason I see why this would fail would
> be because of one of the other -dev packages mentioned.

Or if libc6-dev-i386 was upgraded, rather then freshly installed.

>> On i386 however, libc6-dev 2.13-11 still ships files under
>> /usr/include/{sys,gnu,bits}, so that ncurses is unbuildable even in a
>> clean chroot.
>
> Yes, which is why I told you to file a separate bug report.

Do you still want that, or should I clone the current one?

Cheers,
       Sven




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#635685; Package libc6-dev. (Sat, 30 Jul 2011 00:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sam Clegg <sam@superduper.net>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Sat, 30 Jul 2011 00:12:03 GMT) Full text and rfc822 format available.

Message #58 received at 635685@bugs.debian.org (full text, mbox):

From: Sam Clegg <sam@superduper.net>
To: 635685@bugs.debian.org
Subject: libc6-dev-i386 problems
Date: Fri, 29 Jul 2011 16:49:17 -0700
[Message part 1 (text/plain, inline)]
I'm having the same problem (missing headers when compiling with -m32).

I did have libasound2-dev install and my /usr/include/sys is indeed not
a symlink.  Is there a workaround to get a working -m32?  Where
should /usr/include/sys point?  (I've now uninstalled libasound2-dev).

cheers,
sam

-- 
sam clegg
:: sam@superduper.net :: http://superduper.net/ :: PGP : D91EE369
$superduper: .signature,v 1.13 2003/06/17 10:29:24 sam Exp $
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Aurelien Jarno <aurel32@alioth.debian.org> to control@bugs.debian.org. (Sat, 30 Jul 2011 11:33:02 GMT) Full text and rfc822 format available.

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Sat, 30 Jul 2011 16:51:10 GMT) Full text and rfc822 format available.

Notification sent to Tim Northover <t.p.northover@gmail.com>:
Bug acknowledged by developer. (Sat, 30 Jul 2011 16:51:10 GMT) Full text and rfc822 format available.

Message #65 received at 635685-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 635685-close@bugs.debian.org
Subject: Bug#635685: fixed in eglibc 2.13-12
Date: Sat, 30 Jul 2011 16:48:31 +0000
Source: eglibc
Source-Version: 2.13-12

We believe that the bug you reported is fixed in the latest version of
eglibc, which is due to be installed in the Debian FTP archive:

eglibc-source_2.13-12_all.deb
  to main/e/eglibc/eglibc-source_2.13-12_all.deb
eglibc_2.13-12.diff.gz
  to main/e/eglibc/eglibc_2.13-12.diff.gz
eglibc_2.13-12.dsc
  to main/e/eglibc/eglibc_2.13-12.dsc
glibc-doc_2.13-12_all.deb
  to main/e/eglibc/glibc-doc_2.13-12_all.deb
libc-bin_2.13-12_amd64.deb
  to main/e/eglibc/libc-bin_2.13-12_amd64.deb
libc-dev-bin_2.13-12_amd64.deb
  to main/e/eglibc/libc-dev-bin_2.13-12_amd64.deb
libc6-dbg_2.13-12_amd64.deb
  to main/e/eglibc/libc6-dbg_2.13-12_amd64.deb
libc6-dev-i386_2.13-12_amd64.deb
  to main/e/eglibc/libc6-dev-i386_2.13-12_amd64.deb
libc6-dev_2.13-12_amd64.deb
  to main/e/eglibc/libc6-dev_2.13-12_amd64.deb
libc6-i386_2.13-12_amd64.deb
  to main/e/eglibc/libc6-i386_2.13-12_amd64.deb
libc6-pic_2.13-12_amd64.deb
  to main/e/eglibc/libc6-pic_2.13-12_amd64.deb
libc6-prof_2.13-12_amd64.deb
  to main/e/eglibc/libc6-prof_2.13-12_amd64.deb
libc6-udeb_2.13-12_amd64.udeb
  to main/e/eglibc/libc6-udeb_2.13-12_amd64.udeb
libc6_2.13-12_amd64.deb
  to main/e/eglibc/libc6_2.13-12_amd64.deb
libnss-dns-udeb_2.13-12_amd64.udeb
  to main/e/eglibc/libnss-dns-udeb_2.13-12_amd64.udeb
libnss-files-udeb_2.13-12_amd64.udeb
  to main/e/eglibc/libnss-files-udeb_2.13-12_amd64.udeb
locales-all_2.13-12_amd64.deb
  to main/e/eglibc/locales-all_2.13-12_amd64.deb
locales_2.13-12_all.deb
  to main/e/eglibc/locales_2.13-12_all.deb
multiarch-support_2.13-12_amd64.deb
  to main/e/eglibc/multiarch-support_2.13-12_amd64.deb
nscd_2.13-12_amd64.deb
  to main/e/eglibc/nscd_2.13-12_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 635685@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated eglibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 30 Jul 2011 13:33:39 +0200
Source: eglibc
Binary: libc-bin libc-dev-bin glibc-doc eglibc-source locales locales-all nscd multiarch-support libc6 libc6-dev libc6-dbg libc6-prof libc6-pic libc6-udeb libc6.1 libc6.1-dev libc6.1-dbg libc6.1-prof libc6.1-pic libc6.1-udeb libc0.3 libc0.3-dev libc0.3-dbg libc0.3-prof libc0.3-pic libc0.3-udeb libc0.1 libc0.1-dev libc0.1-dbg libc0.1-prof libc0.1-pic libc0.1-udeb libc6-i386 libc6-dev-i386 libc6-sparc64 libc6-dev-sparc64 libc6-s390 libc6-dev-s390 libc6-s390x libc6-dev-s390x libc6-amd64 libc6-dev-amd64 libc6-powerpc libc6-dev-powerpc libc6-ppc64 libc6-dev-ppc64 libc6-mipsn32 libc6-dev-mipsn32 libc6-mips64 libc6-dev-mips64 libc0.1-i386 libc0.1-dev-i386 libc6-i686 libc6-xen libc0.1-i686 libc0.3-i686 libc0.3-xen libc6.1-alphaev67 libc6-loongson2f libnss-dns-udeb libnss-files-udeb
Architecture: source all amd64
Version: 2.13-12
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 eglibc-source - Embedded GNU C Library: sources
 glibc-doc  - Embedded GNU C Library: Documentation
 libc-bin   - Embedded GNU C Library: Binaries
 libc-dev-bin - Embedded GNU C Library: Development binaries
 libc0.1    - Embedded GNU C Library: Shared libraries
 libc0.1-dbg - Embedded GNU C Library: detached debugging symbols
 libc0.1-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc0.1-dev-i386 - Embedded GNU C Library: 32bit development libraries for AMD64
 libc0.1-i386 - Embedded GNU C Library: 32bit shared libraries for AMD64
 libc0.1-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc0.1-pic - Embedded GNU C Library: PIC archive library
 libc0.1-prof - Embedded GNU C Library: Profiling Libraries
 libc0.1-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc0.3    - Embedded GNU C Library: Shared libraries
 libc0.3-dbg - Embedded GNU C Library: detached debugging symbols
 libc0.3-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc0.3-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc0.3-pic - Embedded GNU C Library: PIC archive library
 libc0.3-prof - Embedded GNU C Library: Profiling Libraries
 libc0.3-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc0.3-xen - Embedded GNU C Library: Shared libraries [Xen version]
 libc6      - Embedded GNU C Library: Shared libraries
 libc6-amd64 - Embedded GNU C Library: 64bit Shared libraries for AMD64
 libc6-dbg  - Embedded GNU C Library: detached debugging symbols
 libc6-dev  - Embedded GNU C Library: Development Libraries and Header Files
 libc6-dev-amd64 - Embedded GNU C Library: 64bit Development Libraries for AMD64
 libc6-dev-i386 - Embedded GNU C Library: 32-bit development libraries for AMD64
 libc6-dev-mips64 - Embedded GNU C Library: 64bit Development Libraries for MIPS64
 libc6-dev-mipsn32 - Embedded GNU C Library: n32 Development Libraries for MIPS64
 libc6-dev-powerpc - Embedded GNU C Library: 32bit powerpc development libraries for p
 libc6-dev-ppc64 - Embedded GNU C Library: 64bit Development Libraries for PowerPC64
 libc6-dev-s390 - Embedded GNU C Library: 32bit Development Libraries for IBM zSeri
 libc6-dev-s390x - Embedded GNU C Library: 64bit Development Libraries for IBM zSeri
 libc6-dev-sparc64 - Embedded GNU C Library: 64bit Development Libraries for UltraSPAR
 libc6-i386 - Embedded GNU C Library: 32-bit shared libraries for AMD64
 libc6-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc6-loongson2f - Embedded GNU C Library: Shared libraries (Loongson 2F optimized)
 libc6-mips64 - Embedded GNU C Library: 64bit Shared libraries for MIPS64
 libc6-mipsn32 - Embedded GNU C Library: n32 Shared libraries for MIPS64
 libc6-pic  - Embedded GNU C Library: PIC archive library
 libc6-powerpc - Embedded GNU C Library: 32bit powerpc shared libraries for ppc64
 libc6-ppc64 - Embedded GNU C Library: 64bit Shared libraries for PowerPC64
 libc6-prof - Embedded GNU C Library: Profiling Libraries
 libc6-s390 - Embedded GNU C Library: 32bit Shared libraries for IBM zSeries
 libc6-s390x - Embedded GNU C Library: 64bit Shared libraries for IBM zSeries
 libc6-sparc64 - Embedded GNU C Library: 64bit Shared libraries for UltraSPARC
 libc6-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc6-xen  - Embedded GNU C Library: Shared libraries [Xen version]
 libc6.1    - Embedded GNU C Library: Shared libraries
 libc6.1-alphaev67 - Embedded GNU C Library: Shared libraries (EV67 optimized)
 libc6.1-dbg - Embedded GNU C Library: detached debugging symbols
 libc6.1-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc6.1-pic - Embedded GNU C Library: PIC archive library
 libc6.1-prof - Embedded GNU C Library: Profiling Libraries
 libc6.1-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libnss-dns-udeb - Embedded GNU C Library: NSS helper for DNS - udeb (udeb)
 libnss-files-udeb - Embedded GNU C Library: NSS helper for files - udeb (udeb)
 locales    - Embedded GNU C Library: National Language (locale) data [support]
 locales-all - Embedded GNU C Library: Precompiled locale data
 multiarch-support - Transitional package to ensure multiarch compatibility
 nscd       - Embedded GNU C Library: Name Service Cache Daemon
Closes: 635685
Changes: 
 eglibc (2.13-12) unstable; urgency=low
 .
   [ Aurelien Jarno ]
   * rules.d/debhelper.mk: Fix a typo about kfreebsd-amd64.
   * Change include directory on i386 from i486-linux-gnu to i386-linux-gnu
     and on kfreebsd-i386 from i486-kfreebsd-gnu to i386-kfreebsd-gnu.
   * Fix installation of biarch headers (Closes: #635685):
     - Use a symlink for bits/ and gnu/ directories
     - Use symlinked files for sys/ directory
     - Add a preinst script to do the directory <-> symlink conversion.
Checksums-Sha1: 
 3f14a5625eb48bed6f9dc2c873e55c032f699ee4 2609 eglibc_2.13-12.dsc
 6a7a81fcc84f7284b9976ec973817622db7cdf91 860215 eglibc_2.13-12.diff.gz
 86634287d25c1bf453ca4c74e2918b2e793cb648 1885512 glibc-doc_2.13-12_all.deb
 5047d352b1d2c87a24967d763fd3f3a39c44bfb6 12112470 eglibc-source_2.13-12_all.deb
 1a956791b0c2417e5dd90a37bed0bf59a83de8fe 4814218 locales_2.13-12_all.deb
 15c2082ec7cbcc288ae440104ef0add0d0f4f903 4323044 libc6_2.13-12_amd64.deb
 f7e0e363c4aac87e0370caa5b4fc5672a5430cc2 2635054 libc6-dev_2.13-12_amd64.deb
 f466c2987142d6889663ae927fb73292eb2835b0 2076140 libc6-prof_2.13-12_amd64.deb
 626869575e4cd67a4be8699ae38758dfd15f50ed 1582928 libc6-pic_2.13-12_amd64.deb
 e47ae014fe65ab2695c78ab420396b761f11d642 1083902 libc-bin_2.13-12_amd64.deb
 d60a382c889a097ae9490112de4bf270737c8587 215424 libc-dev-bin_2.13-12_amd64.deb
 e32ee08dab9f84dd4dc2083952506523fd30b0b1 3758860 locales-all_2.13-12_amd64.deb
 8dccf928d98a09dc3b7489afa1323a00654fa4b0 139052 multiarch-support_2.13-12_amd64.deb
 bb9aeadb9ee498a11784ec681dda1776dda25d43 3844604 libc6-i386_2.13-12_amd64.deb
 34b7c00447666f0cc3ab8142c059dfcca0e8fe68 1560070 libc6-dev-i386_2.13-12_amd64.deb
 79955cd8d8fff6f6e3a534b2eaa30a233cb068c3 202414 nscd_2.13-12_amd64.deb
 b7efa8880e89618ca7946b9dd84ffcaaaf481aec 10537018 libc6-dbg_2.13-12_amd64.deb
 9f242cd91cc2e392cb8493783b7a0438e22e18ff 1179582 libc6-udeb_2.13-12_amd64.udeb
 86f82803c2d3ca0902ee602a74d479dc498ac1c7 11138 libnss-dns-udeb_2.13-12_amd64.udeb
 3feacb49a7a2933ac57a5051e4189023460e212b 19320 libnss-files-udeb_2.13-12_amd64.udeb
Checksums-Sha256: 
 df4eedbd92109a7bcdabb19c0c25e0e4341c0b4dbf674ee16e1ede29131026f5 2609 eglibc_2.13-12.dsc
 b6b9f326451eb54520d5c76467f79d794360b78c32d2ad0ecc10ae46f0f941df 860215 eglibc_2.13-12.diff.gz
 6dec5136d4489020e83bfa0473c82aa1e9d3f8de8d8008c9a8551f4263a48c9b 1885512 glibc-doc_2.13-12_all.deb
 0c7632a043abf5c6032195010cbadfc9b948e36f8b30a4db288d8d47ee79bd28 12112470 eglibc-source_2.13-12_all.deb
 0f874488069a1549824c2c74fd2d5f0c8785594b0b7a48e900327c215e0bc50a 4814218 locales_2.13-12_all.deb
 d92e338252a5f615583952966adb03e3ca2f9f0f6308585465b5cb89bca3d446 4323044 libc6_2.13-12_amd64.deb
 cfaeabcb2f847c6b8b99670e6dc88b6fdc3f3f5cb3209db564f03f1fe5434987 2635054 libc6-dev_2.13-12_amd64.deb
 10e46fa7e1ab482ad55afa1e49288444892ab5c7f97a42eaf368e8c8ad7c17df 2076140 libc6-prof_2.13-12_amd64.deb
 c23d3b0131f66c1ec19e900ad516c934d8f868183028fb88ac905902fabefb14 1582928 libc6-pic_2.13-12_amd64.deb
 5efd168a58ddc04c98f25f944259d37f2512e7267078f3781c9fc956b17d7af9 1083902 libc-bin_2.13-12_amd64.deb
 31f78b28af94bb1a352fd50116fc074607b19e3ac3ed4a75b59c078db6335ca9 215424 libc-dev-bin_2.13-12_amd64.deb
 b207e9014019e708b2a8f849b2b5eb22ccf0e7e89cf97cf5ff1cc4bc84ef9397 3758860 locales-all_2.13-12_amd64.deb
 2baf630b5909240c05e20c5befda6990c46c320de08a887bf9512ba88378db0a 139052 multiarch-support_2.13-12_amd64.deb
 375602d440a3c0a8bf21091edf87ea051de157b500b59407acc233f67053b76f 3844604 libc6-i386_2.13-12_amd64.deb
 edf26a9f689abe41d17a4df110c19d2db82e7bf8dd008fa9f02515050ba1d88f 1560070 libc6-dev-i386_2.13-12_amd64.deb
 1fee331b0a7f9b9390f92699e845a2a2435bc6363ef8f255aadea13aa1f714d9 202414 nscd_2.13-12_amd64.deb
 e58f488ff42c96af5b9c93fc745b5c7d9b7d220f8d53d46f9c7c4d6d9df5b134 10537018 libc6-dbg_2.13-12_amd64.deb
 b4e5b2d9165caa8e30f27de37cda7801b173cc372ae6d7fb73408a4111d94382 1179582 libc6-udeb_2.13-12_amd64.udeb
 5aad20b153cc09d80253f65f561539f9d525721674a805bd880132d11ee7769c 11138 libnss-dns-udeb_2.13-12_amd64.udeb
 8b0c028c7d9de7b786205c11ae1ecd66caf0b308621897378754f32ec6c656af 19320 libnss-files-udeb_2.13-12_amd64.udeb
Files: 
 9929358fa8d7a336106875f1fb8c9fa2 2609 libs required eglibc_2.13-12.dsc
 ca11094cc4d0c131e771268d65889642 860215 libs required eglibc_2.13-12.diff.gz
 9943b705231eb021d27273b9a3ce563b 1885512 doc optional glibc-doc_2.13-12_all.deb
 985a0f0f731894d798e85c684e7fc09a 12112470 devel optional eglibc-source_2.13-12_all.deb
 e2d94f2453b34e07b891cc30cb16ae70 4814218 localization standard locales_2.13-12_all.deb
 770757ae3b4a5bbd2da4f9b8980a688c 4323044 libs required libc6_2.13-12_amd64.deb
 7abe2b0a71a1b5102a083dec649ef374 2635054 libdevel optional libc6-dev_2.13-12_amd64.deb
 389d3c2008d11b3d5ebadcc38131be87 2076140 libdevel extra libc6-prof_2.13-12_amd64.deb
 46083e2c23bad557d4a3fc46652d16e4 1582928 libdevel optional libc6-pic_2.13-12_amd64.deb
 5bf4c0f6734cb02ca8b0dbbc19d43b74 1083902 libs required libc-bin_2.13-12_amd64.deb
 c96189459c75b1d1a713d920faf42e4b 215424 libdevel optional libc-dev-bin_2.13-12_amd64.deb
 bd82d149a383f4569f006cf834126a37 3758860 localization extra locales-all_2.13-12_amd64.deb
 95d7b9876e936de4516af218273bc7ba 139052 libs standard multiarch-support_2.13-12_amd64.deb
 c4c582dea092627907cd5d74e55c612a 3844604 libs optional libc6-i386_2.13-12_amd64.deb
 cdbeab115d410fe63fe32806476804d0 1560070 libdevel optional libc6-dev-i386_2.13-12_amd64.deb
 f690ec9565f89806304de5cff8bcb6f2 202414 admin optional nscd_2.13-12_amd64.deb
 85cafa45915cd38523ff754e10072ecf 10537018 debug extra libc6-dbg_2.13-12_amd64.deb
 e44be0467b146547f3b851a998792424 1179582 debian-installer extra libc6-udeb_2.13-12_amd64.udeb
 9dcc476731c03591e99b1597f05125da 11138 debian-installer extra libnss-dns-udeb_2.13-12_amd64.udeb
 98f5029cde38a972c37869e0c3aec08c 19320 debian-installer extra libnss-files-udeb_2.13-12_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFONDCFw3ao2vG823MRAmvqAJ49sdMJgGjrPWR3nx3y8ScixmnOngCfQAz9
M6ELUie7cBqJMM5XXhIS1LA=
=T24V
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#635685; Package libc6-dev. (Sun, 31 Jul 2011 16:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to François Revol <revol@free.fr>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Sun, 31 Jul 2011 16:00:03 GMT) Full text and rfc822 format available.

Message #70 received at 635685@bugs.debian.org (full text, mbox):

From: François Revol <revol@free.fr>
To: 635685@bugs.debian.org
Subject: Bug#635685: fixed for me
Date: Sun, 31 Jul 2011 17:55:57 +0200
Hi,
I can confirm that the latest unstable update fixes building the 
buildtools for Haiku <http://haiku-os.org/> that require -m32, and were 
broken for some days with this issue, missing <sys/cdefs.h>.

Thanks!

François.




Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#635685; Package libc6-dev. (Sun, 31 Jul 2011 17:06:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to François Revol <revol@free.fr>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Sun, 31 Jul 2011 17:06:07 GMT) Full text and rfc822 format available.

Message #75 received at 635685@bugs.debian.org (full text, mbox):

From: François Revol <revol@free.fr>
To: 635685@bugs.debian.org
Subject: Re: Bug#635685: fixed for me
Date: Sun, 31 Jul 2011 19:04:24 +0200
Le 31/07/2011 17:55, François Revol a écrit :
> Hi,
> I can confirm that the latest unstable update fixes building the
> buildtools for Haiku <http://haiku-os.org/> that require -m32, and were
> broken for some days with this issue, missing <sys/cdefs.h>.

Actually, I was too fast, there is still an issue. I first thought it 
was due to something else, but the Haiku build is still broken, this 
time due to missing fpu_control.h:


Cc 
/home/revol/devel/haiku/trunk/generated-x86-gcc4/objects/linux/x86/release/libs/mesa/mesa/gen_matypes.o 

In file included from 
/home/revol/devel/haiku/trunk/src/libs/mesa/mesa/x86/gen_matypes.c:35:0:
/home/revol/devel/haiku/trunk/src/libs/mesa/mesa/main/glheader.h:61:25: 
fatal error: fpu_control.h: Aucun fichier ou dossier de ce type
compilation terminated.


http://dev.haiku-os.org/browser/haiku/trunk/src/libs/mesa/mesa/main/glheader.h#L61 
has:

#if defined(__linux__) && defined(__i386__)
#include <fpu_control.h>
#endif

It is built as part of the host buildtools with:

cc -O -Wall -Wno-trigraphs -Wmissing-prototypes -Wpointer-arith 
-Wcast-align -Wsign-compare -m32 -Wno-multichar -c 
"/home/revol/devel/haiku/trunk/src/libs/mesa/mesa/x86/gen_matypes.c" 
-DARCH_x86 -D_NO_INLINE_ASM -D__INTEL__ -D_GNU_SOURCE 
-D_FILE_OFFSET_BITS=64 -D__STDC_FORMAT_MACROS -D__STDC_LIMIT_MACROS 
-DHAIKU_HOST_USE_XATTR -DHAIKU_HOST_PLATFORM_LINUX -iquote ...

François.




Changed Bug submitter to 'revol@free.fr' from 'Tim Northover <t.p.northover@gmail.com>' Request was from François Revol <revol@free.fr> to control@bugs.debian.org. (Tue, 02 Aug 2011 21:54:08 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions eglibc/2.13-12 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 02 Aug 2011 21:54:09 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#635685; Package libc6-dev. (Tue, 02 Aug 2011 22:21:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to François Revol <revol@free.fr>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Tue, 02 Aug 2011 22:21:05 GMT) Full text and rfc822 format available.

Message #84 received at 635685@bugs.debian.org (full text, mbox):

From: François Revol <revol@free.fr>
To: 635685@bugs.debian.org
Subject: Just missing fpu_control.h
Date: Wed, 03 Aug 2011 00:20:11 +0200
It seems fpu_control.h is the only one missing to get Haiku building, as 
symlinking it from /usr/include/x86_64-linux-gnu/fpu_control.h allows 
making a full build.

François.




Added tag(s) pending. Request was from Aurelien Jarno <aurel32@alioth.debian.org> to control@bugs.debian.org. (Thu, 04 Aug 2011 06:48:02 GMT) Full text and rfc822 format available.

Reply sent to Aurelien Jarno <aurel32@debian.org>:
You have taken responsibility. (Thu, 04 Aug 2011 22:21:04 GMT) Full text and rfc822 format available.

Notification sent to revol@free.fr:
Bug acknowledged by developer. (Thu, 04 Aug 2011 22:21:04 GMT) Full text and rfc822 format available.

Message #91 received at 635685-close@bugs.debian.org (full text, mbox):

From: Aurelien Jarno <aurel32@debian.org>
To: 635685-close@bugs.debian.org
Subject: Bug#635685: fixed in eglibc 2.13-14
Date: Thu, 04 Aug 2011 22:18:22 +0000
Source: eglibc
Source-Version: 2.13-14

We believe that the bug you reported is fixed in the latest version of
eglibc, which is due to be installed in the Debian FTP archive:

eglibc-source_2.13-14_all.deb
  to main/e/eglibc/eglibc-source_2.13-14_all.deb
eglibc_2.13-14.diff.gz
  to main/e/eglibc/eglibc_2.13-14.diff.gz
eglibc_2.13-14.dsc
  to main/e/eglibc/eglibc_2.13-14.dsc
glibc-doc_2.13-14_all.deb
  to main/e/eglibc/glibc-doc_2.13-14_all.deb
libc-bin_2.13-14_amd64.deb
  to main/e/eglibc/libc-bin_2.13-14_amd64.deb
libc-dev-bin_2.13-14_amd64.deb
  to main/e/eglibc/libc-dev-bin_2.13-14_amd64.deb
libc6-dbg_2.13-14_amd64.deb
  to main/e/eglibc/libc6-dbg_2.13-14_amd64.deb
libc6-dev-i386_2.13-14_amd64.deb
  to main/e/eglibc/libc6-dev-i386_2.13-14_amd64.deb
libc6-dev_2.13-14_amd64.deb
  to main/e/eglibc/libc6-dev_2.13-14_amd64.deb
libc6-i386_2.13-14_amd64.deb
  to main/e/eglibc/libc6-i386_2.13-14_amd64.deb
libc6-pic_2.13-14_amd64.deb
  to main/e/eglibc/libc6-pic_2.13-14_amd64.deb
libc6-prof_2.13-14_amd64.deb
  to main/e/eglibc/libc6-prof_2.13-14_amd64.deb
libc6-udeb_2.13-14_amd64.udeb
  to main/e/eglibc/libc6-udeb_2.13-14_amd64.udeb
libc6_2.13-14_amd64.deb
  to main/e/eglibc/libc6_2.13-14_amd64.deb
libnss-dns-udeb_2.13-14_amd64.udeb
  to main/e/eglibc/libnss-dns-udeb_2.13-14_amd64.udeb
libnss-files-udeb_2.13-14_amd64.udeb
  to main/e/eglibc/libnss-files-udeb_2.13-14_amd64.udeb
locales-all_2.13-14_amd64.deb
  to main/e/eglibc/locales-all_2.13-14_amd64.deb
locales_2.13-14_all.deb
  to main/e/eglibc/locales_2.13-14_all.deb
multiarch-support_2.13-14_amd64.deb
  to main/e/eglibc/multiarch-support_2.13-14_amd64.deb
nscd_2.13-14_amd64.deb
  to main/e/eglibc/nscd_2.13-14_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 635685@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Aurelien Jarno <aurel32@debian.org> (supplier of updated eglibc package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 04 Aug 2011 09:41:41 +0200
Source: eglibc
Binary: libc-bin libc-dev-bin glibc-doc eglibc-source locales locales-all nscd multiarch-support libc6 libc6-dev libc6-dbg libc6-prof libc6-pic libc6-udeb libc6.1 libc6.1-dev libc6.1-dbg libc6.1-prof libc6.1-pic libc6.1-udeb libc0.3 libc0.3-dev libc0.3-dbg libc0.3-prof libc0.3-pic libc0.3-udeb libc0.1 libc0.1-dev libc0.1-dbg libc0.1-prof libc0.1-pic libc0.1-udeb libc6-i386 libc6-dev-i386 libc6-sparc64 libc6-dev-sparc64 libc6-s390 libc6-dev-s390 libc6-s390x libc6-dev-s390x libc6-amd64 libc6-dev-amd64 libc6-powerpc libc6-dev-powerpc libc6-ppc64 libc6-dev-ppc64 libc6-mipsn32 libc6-dev-mipsn32 libc6-mips64 libc6-dev-mips64 libc0.1-i386 libc0.1-dev-i386 libc6-i686 libc6-xen libc0.1-i686 libc0.3-i686 libc0.3-xen libc6.1-alphaev67 libc6-loongson2f libnss-dns-udeb libnss-files-udeb
Architecture: source all amd64
Version: 2.13-14
Distribution: unstable
Urgency: low
Maintainer: Aurelien Jarno <aurel32@debian.org>
Changed-By: Aurelien Jarno <aurel32@debian.org>
Description: 
 eglibc-source - Embedded GNU C Library: sources
 glibc-doc  - Embedded GNU C Library: Documentation
 libc-bin   - Embedded GNU C Library: Binaries
 libc-dev-bin - Embedded GNU C Library: Development binaries
 libc0.1    - Embedded GNU C Library: Shared libraries
 libc0.1-dbg - Embedded GNU C Library: detached debugging symbols
 libc0.1-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc0.1-dev-i386 - Embedded GNU C Library: 32bit development libraries for AMD64
 libc0.1-i386 - Embedded GNU C Library: 32bit shared libraries for AMD64
 libc0.1-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc0.1-pic - Embedded GNU C Library: PIC archive library
 libc0.1-prof - Embedded GNU C Library: Profiling Libraries
 libc0.1-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc0.3    - Embedded GNU C Library: Shared libraries
 libc0.3-dbg - Embedded GNU C Library: detached debugging symbols
 libc0.3-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc0.3-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc0.3-pic - Embedded GNU C Library: PIC archive library
 libc0.3-prof - Embedded GNU C Library: Profiling Libraries
 libc0.3-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc0.3-xen - Embedded GNU C Library: Shared libraries [Xen version]
 libc6      - Embedded GNU C Library: Shared libraries
 libc6-amd64 - Embedded GNU C Library: 64bit Shared libraries for AMD64
 libc6-dbg  - Embedded GNU C Library: detached debugging symbols
 libc6-dev  - Embedded GNU C Library: Development Libraries and Header Files
 libc6-dev-amd64 - Embedded GNU C Library: 64bit Development Libraries for AMD64
 libc6-dev-i386 - Embedded GNU C Library: 32-bit development libraries for AMD64
 libc6-dev-mips64 - Embedded GNU C Library: 64bit Development Libraries for MIPS64
 libc6-dev-mipsn32 - Embedded GNU C Library: n32 Development Libraries for MIPS64
 libc6-dev-powerpc - Embedded GNU C Library: 32bit powerpc development libraries for p
 libc6-dev-ppc64 - Embedded GNU C Library: 64bit Development Libraries for PowerPC64
 libc6-dev-s390 - Embedded GNU C Library: 32bit Development Libraries for IBM zSeri
 libc6-dev-s390x - Embedded GNU C Library: 64bit Development Libraries for IBM zSeri
 libc6-dev-sparc64 - Embedded GNU C Library: 64bit Development Libraries for UltraSPAR
 libc6-i386 - Embedded GNU C Library: 32-bit shared libraries for AMD64
 libc6-i686 - Embedded GNU C Library: Shared libraries [i686 optimized]
 libc6-loongson2f - Embedded GNU C Library: Shared libraries (Loongson 2F optimized)
 libc6-mips64 - Embedded GNU C Library: 64bit Shared libraries for MIPS64
 libc6-mipsn32 - Embedded GNU C Library: n32 Shared libraries for MIPS64
 libc6-pic  - Embedded GNU C Library: PIC archive library
 libc6-powerpc - Embedded GNU C Library: 32bit powerpc shared libraries for ppc64
 libc6-ppc64 - Embedded GNU C Library: 64bit Shared libraries for PowerPC64
 libc6-prof - Embedded GNU C Library: Profiling Libraries
 libc6-s390 - Embedded GNU C Library: 32bit Shared libraries for IBM zSeries
 libc6-s390x - Embedded GNU C Library: 64bit Shared libraries for IBM zSeries
 libc6-sparc64 - Embedded GNU C Library: 64bit Shared libraries for UltraSPARC
 libc6-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libc6-xen  - Embedded GNU C Library: Shared libraries [Xen version]
 libc6.1    - Embedded GNU C Library: Shared libraries
 libc6.1-alphaev67 - Embedded GNU C Library: Shared libraries (EV67 optimized)
 libc6.1-dbg - Embedded GNU C Library: detached debugging symbols
 libc6.1-dev - Embedded GNU C Library: Development Libraries and Header Files
 libc6.1-pic - Embedded GNU C Library: PIC archive library
 libc6.1-prof - Embedded GNU C Library: Profiling Libraries
 libc6.1-udeb - Embedded GNU C Library: Shared libraries - udeb (udeb)
 libnss-dns-udeb - Embedded GNU C Library: NSS helper for DNS - udeb (udeb)
 libnss-files-udeb - Embedded GNU C Library: NSS helper for files - udeb (udeb)
 locales    - Embedded GNU C Library: National Language (locale) data [support]
 locales-all - Embedded GNU C Library: Precompiled locale data
 multiarch-support - Transitional package to ensure multiarch compatibility
 nscd       - Embedded GNU C Library: Name Service Cache Daemon
Closes: 635685 636115 636116
Changes: 
 eglibc (2.13-14) unstable; urgency=low
 .
   [ Aurelien Jarno ]
   * Remove amd64 biarch includes from libc6-dev:i386.  Closes: #636115,
     #636116.
   * Fix the biarch symlinks on mipsel, pointing them to the right multiarch
     directory.
   * Include a symlink for fpu_control in biarch packages.  Closes: #635685.
   * Update conflicts to libc6-dev in biarch packages to (<< 2.13-14) so that
     the directory to symlink conversion is done correctly.
   * On mips/mipsel, only ship the includes symlinks in libc6-dev-mips64. Add
     a dependency to libc6-dev-mips64 in libc6-dev-mipsn32.
   * Build with gcc-4.6/g++-4.6 on armhf to get correct atomic operations in
     thumb-2 mode.
 .
   [ Samuel Thibault ]
   * patches/hurd-i386/submitted-sysvshm.diff: Fix shm creation: do not create
     file on first lookup.
Checksums-Sha1: 
 a5e897f731966840485fdf1afcf586f7e4fa2c72 2609 eglibc_2.13-14.dsc
 868aba0b8ae8d46763d924cd9686302219e3d302 860448 eglibc_2.13-14.diff.gz
 dc4fdbc457da5eb9f225adba8b83d53a818d7ad1 1885842 glibc-doc_2.13-14_all.deb
 fc28b14204ffd016b4dd8be76c92d4b3662ced5d 12131480 eglibc-source_2.13-14_all.deb
 9741d12b270c2f44ade33d023004e90cc79120e1 4814474 locales_2.13-14_all.deb
 bd1f4497845225e939d12e0a8639de30fcdf9ed2 4322534 libc6_2.13-14_amd64.deb
 1ff1770347bb775570da72028c1d2ccb3c3af7e3 2635556 libc6-dev_2.13-14_amd64.deb
 df70e2d5cbd716dfb668b7619cdf6a26cb838c92 2076552 libc6-prof_2.13-14_amd64.deb
 01d1c521add63c7dfd4ee4e11d0fda2795327609 1583204 libc6-pic_2.13-14_amd64.deb
 4b9e652772e047b4e264fc8b3c02c236a356f0c0 1084176 libc-bin_2.13-14_amd64.deb
 b5324edbfd916a521df7789c7cf195c355803146 215704 libc-dev-bin_2.13-14_amd64.deb
 776c9346dbada5727d91a39fffaed2a6f0440430 3711426 locales-all_2.13-14_amd64.deb
 5510834ec5ee85c212b9cb6120553f35378e09a1 139396 multiarch-support_2.13-14_amd64.deb
 bd191b3c162e7ef9b45588f8bfc0421ef69312f7 3844910 libc6-i386_2.13-14_amd64.deb
 112d639d985b8c00a421c98467d6c2d13ad127b5 1560342 libc6-dev-i386_2.13-14_amd64.deb
 c017024c0abe17755f2b79eb1136c6cf06d4ff0c 202796 nscd_2.13-14_amd64.deb
 6108a31c4cc334c7e368a2c5e13e2a92448cceba 10537156 libc6-dbg_2.13-14_amd64.deb
 b8d7678f9e470da7ce983f04606618f36bf0b705 1179580 libc6-udeb_2.13-14_amd64.udeb
 cb5b12ddf3f590d94b43807d413de5103004f79e 11142 libnss-dns-udeb_2.13-14_amd64.udeb
 d800d9adfe963fe94ef30f88e601356c8e4d9f57 19322 libnss-files-udeb_2.13-14_amd64.udeb
Checksums-Sha256: 
 e906d875e166f485d0bc78f5b525e075c7595abe54b545a3b1790c6a18d952b0 2609 eglibc_2.13-14.dsc
 f8d05b701dba02a086a540a31c2f3d5386dafcfd3d54262fc90c9f5c8335864c 860448 eglibc_2.13-14.diff.gz
 6f6ae1049d5388bddbe6c78308e7480beb6bd964b67245de8ca6c2069695e8b3 1885842 glibc-doc_2.13-14_all.deb
 c23a1ef662ca818b715a53c8f11fcdc5016a18d57d7c97a4aaf37cf89e6d10ee 12131480 eglibc-source_2.13-14_all.deb
 05b0fea3650c9fd593ed7076ed5a9ced74e9bff576524282f579299dc06c3697 4814474 locales_2.13-14_all.deb
 8fa0c404153d5464f68d30723ab66952bb6ad64816645cdafd7e52a52c80c378 4322534 libc6_2.13-14_amd64.deb
 b0202984a668959c1913e8ff3ab2accc174b0b9aa3b1448a2f397b694e23addd 2635556 libc6-dev_2.13-14_amd64.deb
 5b2bec26f69935423dea5e7a421fd9459863ff68d198bf8a0f86f1a3d82a686c 2076552 libc6-prof_2.13-14_amd64.deb
 e5aa80b8fd05e101cf963480611dca4d91b2a090d8956ce041984bd2c9f063c7 1583204 libc6-pic_2.13-14_amd64.deb
 f71756a5dbad2459652b967a1ab6cab48e80c26243bcfbadc804fe23c9a49daf 1084176 libc-bin_2.13-14_amd64.deb
 361bd46c12b12e03758c03e0f08946fe1f5a492b20b63def63735b87957b4534 215704 libc-dev-bin_2.13-14_amd64.deb
 0a322ff2eb09f9365b5e290f3aa44e86cccad7a1e37bba46460210b988d7d3c7 3711426 locales-all_2.13-14_amd64.deb
 28c9bcb280cfd8786f0f78c06918fd9f2dbb670e3450e9b358a1364174b1e24d 139396 multiarch-support_2.13-14_amd64.deb
 221548e400a58f1e64857546bcbd99805d76f62256bbcf37ab0e61a21d24e2f9 3844910 libc6-i386_2.13-14_amd64.deb
 a49e01ca2448cd7a969d8825822e3bb3cd130e1207b73df981b793739a3a6335 1560342 libc6-dev-i386_2.13-14_amd64.deb
 f21180472506a15681546335ab6bad9afc811c75be7d86732b2db4db2cd0eea0 202796 nscd_2.13-14_amd64.deb
 4dfd079d1909da3851a977d3b270071b8fa89ff83d97c6c3fbe2eb8f29d5538d 10537156 libc6-dbg_2.13-14_amd64.deb
 1bccb56abbc642f08af3c3c85c5b88337bd56fb96eb0b456df68fd4b7a5296f7 1179580 libc6-udeb_2.13-14_amd64.udeb
 4d83e1d85a1b093bba697c104358d60ab2617fe6bebd89215fbd6dc4d98f73fd 11142 libnss-dns-udeb_2.13-14_amd64.udeb
 92d48b38eae9b132614a45b03c35a704faba486d7f0e1e485c7feb54ce9f3fcf 19322 libnss-files-udeb_2.13-14_amd64.udeb
Files: 
 6aebe627c25752ccc51435e67f66c173 2609 libs required eglibc_2.13-14.dsc
 e86b998283d4c7bec875178267e2ac40 860448 libs required eglibc_2.13-14.diff.gz
 07626fe54e3f2b3c8f349fb8d638b47a 1885842 doc optional glibc-doc_2.13-14_all.deb
 77b43c6cd6c1099b91f5bac78728d106 12131480 devel optional eglibc-source_2.13-14_all.deb
 78ebf5dec1a3ce7d0e7ab966b0c14465 4814474 localization standard locales_2.13-14_all.deb
 cb7e56cd75a4cb659db34c1e9269dbcb 4322534 libs required libc6_2.13-14_amd64.deb
 d67abeb2b757cea0935e97e5bb9d3e70 2635556 libdevel optional libc6-dev_2.13-14_amd64.deb
 ef43e42ae7f8ef9b4a2a3a7cc88e5ea7 2076552 libdevel extra libc6-prof_2.13-14_amd64.deb
 e0ef90d81fa089ed71411036a0303b64 1583204 libdevel optional libc6-pic_2.13-14_amd64.deb
 d14474485194ca37fc2127b2aac149aa 1084176 libs required libc-bin_2.13-14_amd64.deb
 0a5eed081c157a41db978935f8b62ee6 215704 libdevel optional libc-dev-bin_2.13-14_amd64.deb
 94ebb035d3bcc72f5d952f8062bf7662 3711426 localization extra locales-all_2.13-14_amd64.deb
 e535512dc80901ff2a6caf8be4b71dc0 139396 libs standard multiarch-support_2.13-14_amd64.deb
 d93b2303cba9e345342cc792251a3304 3844910 libs optional libc6-i386_2.13-14_amd64.deb
 1bbee88774675e68370c46eef7e27beb 1560342 libdevel optional libc6-dev-i386_2.13-14_amd64.deb
 76b57a86af25317be62ec2301dcb8482 202796 admin optional nscd_2.13-14_amd64.deb
 ec8e5ba9eddcf4d40503d91f23a417e6 10537156 debug extra libc6-dbg_2.13-14_amd64.deb
 7411ec662ab114886c2965c0e3e22670 1179580 debian-installer extra libc6-udeb_2.13-14_amd64.udeb
 21b06b34c7886962fa8ccfc4d9e9facf 11142 debian-installer extra libnss-dns-udeb_2.13-14_amd64.udeb
 16b8c51193efb14aa06d0979400a4512 19322 debian-installer extra libnss-files-udeb_2.13-14_amd64.udeb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iD8DBQFOOmBhw3ao2vG823MRAkDWAKCGOLwqZ7fFrTUs0mZAFW+Wj5reAQCfeI/t
cbsQ9IBWbmiOx/zRXKdH5hg=
=zaxx
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, GNU Libc Maintainers <debian-glibc@lists.debian.org>:
Bug#635685; Package libc6-dev. (Fri, 05 Aug 2011 22:48:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to François Revol <revol@free.fr>:
Extra info received and forwarded to list. Copy sent to GNU Libc Maintainers <debian-glibc@lists.debian.org>. (Fri, 05 Aug 2011 22:48:05 GMT) Full text and rfc822 format available.

Message #96 received at 635685@bugs.debian.org (full text, mbox):

From: François Revol <revol@free.fr>
To: 635685@bugs.debian.org
Cc: Aurelien Jarno <aurel32@debian.org>
Subject: Re: Bug#635685 closed by Aurelien Jarno <aurel32@debian.org> (Bug#635685: fixed in eglibc 2.13-14)
Date: Sat, 06 Aug 2011 00:45:27 +0200
I can now successfully build Haiku images on sid, so it's fixed for me.
Thanks.

François.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 04 Sep 2011 07:38:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:15:44 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.